/*
    Copyright 2001 (c) by Boris Lutz,
    Swiss Federal Institute of Technology,
    Computer Engineering and Networks Laboratory.
 
    TOPSY -- A Teachable Operating System.
             Implementation of a tiny and simple
             micro kernel for teaching purposes.
 
    For further information, please visit http://www.tik.ee.ethz.ch/~topsy
 
    This software is provided under the terms of the GNU General Public 
    Licence. A full copy of the GNU GPL is provided in the file COPYING 
    found in the development root of Topsy.
*/
/*
	
    File:                  $Source: /home/ruf/cvs_Topsy/cvs/Topsy/VMemory/mips/Attic/vm_hal.c,v $
    Affiliation:           ETH Zuerich, TIK
    Version:               $Revision: 2922 $
    Last Date of Change:   $Date: 2007-03-19 17:48:52 +0100 (Mon, 19 Mär 2007) $  by: $Author: baderma $
 
*/
#include "types.h"
#include "Memory.h"
#include "vm.h"
#include "vm_hal.h"
#include "vm_extern.h"


address_t getSegStart (int type)
{
  if (type == KERNEL)
  {
    /* XXX room for pmap hacks, there should be only one kernel PD!!! */
    return (address_t) 0x00010000;
  }
  else
  {
    return (address_t) 0x00001000;
  }
}


address_t getSegEnd (int type)
{
  if (type == KERNEL)
  {
    return (address_t) 0xffffffffUL;
  }
  else
  {
    return (address_t) 0x7fffffffUL;
  }
}


int mapSpecialRegions(struct vm_map* vm_map, struct vm_pmap* vm_pmap, int flags)
{
  return VM_OK;
}
